Bug 241446 - xtide won't start due to no harminocs data
xtide won't start due to no harminocs data
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xtide (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-25 20:47 EDT by Bill Nottingham
Modified: 2014-03-16 23:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-30 15:19:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-05-25 20:47:15 EDT
Description of problem:

$ xtide 
XTide Fatal Error:  NO_HFILE_IN_PATH
A search path for harmonics files was provided, but no harmonics files were
found anywhere in that path.  You might need to download a harmonics file
from http://www.flaterco.com/xtide/files.html.

Error details:
/usr/share/xtide-harmonics/

Version-Release number of selected component (if applicable):

xtide-2.9.3-1.fc7.1

How reproducible:

Every time.

Steps to Reproduce:
1. start xtide

Additional info:

Nice graphics.
Comment 1 Mamoru TASAKA 2007-05-26 04:39:22 EDT
Please check README.fedora in xtide-common as commented
in "rpm -qi xtide".
Comment 2 Mamoru TASAKA 2007-05-26 04:47:35 EDT
README.fedora is in xtide-common rpm.
Comment 3 Bill Nottingham 2007-05-28 23:33:55 EDT
a) this readme isn't pointed to anywhere in the app
b) it's still an app that installs a desktop entry for users in the menus that
*CAN NOT WORK* unless root takes some action. That's broken.

Potential solutions:

1) don't ship the desktop entry
2) ship only the US harmonics files - they're OK to distribute
3) potentially use autodownloader if it's applicable here
Comment 4 Mamoru TASAKA 2007-05-29 02:36:26 EDT
License issue of US part harminonics data has to
be verified. I sent Dave a mail about this issue.
Comment 5 Mamoru TASAKA 2007-05-29 03:43:14 EDT
(In reply to comment #4)
> License issue of US part harminonics data has to
> be verified. I sent Dave a mail about this issue.

I meant "David", sorry...
Comment 6 Mamoru TASAKA 2007-05-30 14:16:38 EDT
Bill, would you try xtide-2.9.3-2.fc8 ?
http://koji.fedoraproject.org/koji/buildinfo?buildID=7527
Comment 7 Bill Nottingham 2007-05-30 14:58:50 EDT
Seems good to me.
Comment 8 Mamoru TASAKA 2007-05-30 15:19:51 EDT
Rebuilt for devel, F-7, FE-6/5.

For devel, FE-6.5, the newest rpms will be automatically
pushed. For F-7, I will wait until how bodhi begins to work..

Closing as ERRATA. Thank you for reporting this bug.

Note You need to log in before you can comment on or make changes to this bug.